<html>
<head>
<title>Ogre::IteratorWrapper&lt; T, IteratorType, ValType &gt; Class Template Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1IteratorWrapper.html">IteratorWrapper</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::IteratorWrapper&lt; T, IteratorType, ValType &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::IteratorWrapper" -->
<p>Basefunctionality for IteratorWrappers.  
 <a href="classOgre_1_1IteratorWrapper.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>&gt;</code></p>

<p><a href="classOgre_1_1IteratorWrapper-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef ValType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#a72df6843478e277b8dde180081156b98">ValueType</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">type you expect to get by funktions like peekNext(Value)  <a href="#a72df6843478e277b8dde180081156b98"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef ValType *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#a72bb580445cd26d668677e159b692d4f">PointerType</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">type you expect to get by funktions like peekNext(Value)Ptr  <a href="#a72bb580445cd26d668677e159b692d4f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef IteratorType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#a22c1c22fab97253a922a190d2ace205e">iterator</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">typedef to fulfill container interface  <a href="#a22c1c22fab97253a922a190d2ace205e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef IteratorType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#a704ce78ef948a2730b4774b4ba0cea69">const_iterator</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">typedef to fulfill container interface  <a href="#a704ce78ef948a2730b4774b4ba0cea69"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#aae5af61f58bb7e21b76f6b44088d5ea8">IteratorWrapper</a> (IteratorType start, IteratorType last)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aae5af61f58bb7e21b76f6b44088d5ea8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#a468ebc8ca34585ed3ef17a432ee22704">hasMoreElements</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if there are more items in the collection.  <a href="#a468ebc8ca34585ed3ef17a432ee22704"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#aaf01f897bea391797dc2bb9fb8374a5f">moveNext</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Moves the iterator on one element.  <a href="#aaf01f897bea391797dc2bb9fb8374a5f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const IteratorType &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#acfb61cec43a0da5ae1b7c6ee6274498d">begin</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">bookmark to the begin of the underlying collection  <a href="#acfb61cec43a0da5ae1b7c6ee6274498d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IteratorType &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#ab2daa0557a06aebd61686b13c865b6c0">current</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">full access to the current iterator  <a href="#ab2daa0557a06aebd61686b13c865b6c0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const IteratorType &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#a0fd0df9bbfe0fc16939600b37de81739">end</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">bookmark to the end (one behind the last element) of the underlying collection  <a href="#a0fd0df9bbfe0fc16939600b37de81739"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IteratorType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#aecdc604f73f00133d4f934a94913b468">mBegin</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IteratorType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#ab46be8c170cbc9046a81784b463534b9">mCurrent</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IteratorType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#ad6beeb6fcd8840f4fcb30b3363c3552d">mEnd</a></td></tr>
<tr><td colspan="2"><h2><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IteratorWrapper.html#aa63bf50be25f7ea8098d2b0866779b47">IteratorWrapper</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Private constructor since only the parameterised constructor should be used.  <a href="#aa63bf50be25f7ea8098d2b0866779b47"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename T, typename IteratorType, typename ValType&gt;<br/>
class Ogre::IteratorWrapper&lt; T, IteratorType, ValType &gt;</h3>

<p>Basefunctionality for IteratorWrappers. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">T</td><td>a Container like vector list map ... </td></tr>
    <tr><td class="paramname">IteratorType</td><td>T::iterator or T::const_iterator </td></tr>
    <tr><td class="paramname">ValType</td><td>T::mapped_type in case of a map, T::value_type for vector, list,...</td></tr>
  </table>
  </dd>
</dl>
<p>have a look at <a class="el" href="classOgre_1_1VectorIteratorWrapper.html" title="Prepiared IteratorWrapper for container like std::vector.">VectorIteratorWrapper</a> and <a class="el" href="classOgre_1_1MapIteratorWrapper.html" title="Prepiared IteratorWrapper for key-value container.">MapIteratorWrapper</a> for a concrete usage </p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00046">46</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a704ce78ef948a2730b4774b4ba0cea69"></a><!-- doxytag: member="Ogre::IteratorWrapper::const_iterator" ref="a704ce78ef948a2730b4774b4ba0cea69" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename IteratorType, typename ValType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef IteratorType <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, ValType &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#a704ce78ef948a2730b4774b4ba0cea69">const_iterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>typedef to fulfill container interface </p>
<p>Userfull if you want to use BOOST_FOREACH </p>
<dl class="note"><dt><b>Note:</b></dt><dd>there is no distinction between const_iterator and iterator. <br/>
 keep this in mind if you want to derivate from this class. </dd></dl>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00082">82</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<a class="anchor" id="a22c1c22fab97253a922a190d2ace205e"></a><!-- doxytag: member="Ogre::IteratorWrapper::iterator" ref="a22c1c22fab97253a922a190d2ace205e" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename IteratorType, typename ValType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef IteratorType <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, ValType &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#a22c1c22fab97253a922a190d2ace205e">iterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>typedef to fulfill container interface </p>
<p>Userfull if you want to use BOOST_FOREACH </p>
<dl class="note"><dt><b>Note:</b></dt><dd>there is no distinction between const_iterator and iterator. <br/>
 keep this in mind if you want to derivate from this class. </dd></dl>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00073">73</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<a class="anchor" id="a72bb580445cd26d668677e159b692d4f"></a><!-- doxytag: member="Ogre::IteratorWrapper::PointerType" ref="a72bb580445cd26d668677e159b692d4f" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename IteratorType, typename ValType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef ValType* <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, ValType &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#a72bb580445cd26d668677e159b692d4f">PointerType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>type you expect to get by funktions like peekNext(Value)Ptr </p>

<p>Reimplemented in <a class="el" href="classOgre_1_1MapIteratorWrapper.html#ae8c56194816a6ebc9fd8005ed8c8cdde">Ogre::MapIteratorWrapper&lt; T, IteratorType &gt;</a>, <a class="el" href="classOgre_1_1MapIteratorWrapper.html#ae8c56194816a6ebc9fd8005ed8c8cdde">Ogre::MapIteratorWrapper&lt; T, T::iterator &gt;</a>, <a class="el" href="classOgre_1_1MapIteratorWrapper.html#ae8c56194816a6ebc9fd8005ed8c8cdde">Ogre::MapIteratorWrapper&lt; T, T::const_iterator &gt;</a>, <a class="el" href="classOgre_1_1VectorIteratorWrapper.html#a3889b6a2de089ec7cb7426cb142f85b5">Ogre::VectorIteratorWrapper&lt; T, IteratorType &gt;</a>, <a class="el" href="classOgre_1_1VectorIteratorWrapper.html#a3889b6a2de089ec7cb7426cb142f85b5">Ogre::VectorIteratorWrapper&lt; T, T::iterator &gt;</a>, and <a class="el" href="classOgre_1_1VectorIteratorWrapper.html#a3889b6a2de089ec7cb7426cb142f85b5">Ogre::VectorIteratorWrapper&lt; T, T::const_iterator &gt;</a>.</p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00064">64</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<a class="anchor" id="a72df6843478e277b8dde180081156b98"></a><!-- doxytag: member="Ogre::IteratorWrapper::ValueType" ref="a72df6843478e277b8dde180081156b98" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename IteratorType, typename ValType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef ValType <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, ValType &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#a72df6843478e277b8dde180081156b98">ValueType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>type you expect to get by funktions like peekNext(Value) </p>

<p>Reimplemented in <a class="el" href="classOgre_1_1MapIteratorWrapper.html#a64c1d671b06f5048b9c2b93d51bda810">Ogre::MapIteratorWrapper&lt; T, IteratorType &gt;</a>, <a class="el" href="classOgre_1_1MapIteratorWrapper.html#a64c1d671b06f5048b9c2b93d51bda810">Ogre::MapIteratorWrapper&lt; T, T::iterator &gt;</a>, <a class="el" href="classOgre_1_1MapIteratorWrapper.html#a64c1d671b06f5048b9c2b93d51bda810">Ogre::MapIteratorWrapper&lt; T, T::const_iterator &gt;</a>, <a class="el" href="classOgre_1_1VectorIteratorWrapper.html#a11b7947af4d7de6c8a371a45b0c92a81">Ogre::VectorIteratorWrapper&lt; T, IteratorType &gt;</a>, <a class="el" href="classOgre_1_1VectorIteratorWrapper.html#a11b7947af4d7de6c8a371a45b0c92a81">Ogre::VectorIteratorWrapper&lt; T, T::iterator &gt;</a>, and <a class="el" href="classOgre_1_1VectorIteratorWrapper.html#a11b7947af4d7de6c8a371a45b0c92a81">Ogre::VectorIteratorWrapper&lt; T, T::const_iterator &gt;</a>.</p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00062">62</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aa63bf50be25f7ea8098d2b0866779b47"></a><!-- doxytag: member="Ogre::IteratorWrapper::IteratorWrapper" ref="aa63bf50be25f7ea8098d2b0866779b47" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename IteratorType, typename ValType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, ValType &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html">IteratorWrapper</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Private constructor since only the parameterised constructor should be used. </p>

</div>
</div>
<a class="anchor" id="aae5af61f58bb7e21b76f6b44088d5ea8"></a><!-- doxytag: member="Ogre::IteratorWrapper::IteratorWrapper" ref="aae5af61f58bb7e21b76f6b44088d5ea8" args="(IteratorType start, IteratorType last)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename IteratorType, typename ValType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, ValType &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html">IteratorWrapper</a> </td>
          <td>(</td>
          <td class="paramtype">IteratorType&#160;</td>
          <td class="paramname"><em>start</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">IteratorType&#160;</td>
          <td class="paramname"><em>last</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Provide a start and end iterator to initialise. </dd></dl>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00092">92</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="acfb61cec43a0da5ae1b7c6ee6274498d"></a><!-- doxytag: member="Ogre::IteratorWrapper::begin" ref="acfb61cec43a0da5ae1b7c6ee6274498d" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename IteratorType, typename ValType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const IteratorType&amp; <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, ValType &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#acfb61cec43a0da5ae1b7c6ee6274498d">begin</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>bookmark to the begin of the underlying collection </p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00112">112</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab2daa0557a06aebd61686b13c865b6c0"></a><!-- doxytag: member="Ogre::IteratorWrapper::current" ref="ab2daa0557a06aebd61686b13c865b6c0" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename IteratorType, typename ValType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">IteratorType&amp; <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, ValType &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#ab2daa0557a06aebd61686b13c865b6c0">current</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>full access to the current iterator </p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00116">116</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0fd0df9bbfe0fc16939600b37de81739"></a><!-- doxytag: member="Ogre::IteratorWrapper::end" ref="a0fd0df9bbfe0fc16939600b37de81739" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename IteratorType, typename ValType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const IteratorType&amp; <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, ValType &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#a0fd0df9bbfe0fc16939600b37de81739">end</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>bookmark to the end (one behind the last element) of the underlying collection </p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00119">119</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<a class="anchor" id="a468ebc8ca34585ed3ef17a432ee22704"></a><!-- doxytag: member="Ogre::IteratorWrapper::hasMoreElements" ref="a468ebc8ca34585ed3ef17a432ee22704" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename IteratorType, typename ValType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, ValType &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#a468ebc8ca34585ed3ef17a432ee22704">hasMoreElements</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns true if there are more items in the collection. </p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00099">99</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00687">Ogre::RenderQueueGroup::merge()</a>.</p>

</div>
</div>
<a class="anchor" id="aaf01f897bea391797dc2bb9fb8374a5f"></a><!-- doxytag: member="Ogre::IteratorWrapper::moveNext" ref="aaf01f897bea391797dc2bb9fb8374a5f" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename IteratorType, typename ValType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, ValType &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#aaf01f897bea391797dc2bb9fb8374a5f">moveNext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Moves the iterator on one element. </p>

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00106">106</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aecdc604f73f00133d4f934a94913b468"></a><!-- doxytag: member="Ogre::IteratorWrapper::mBegin" ref="aecdc604f73f00133d4f934a94913b468" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename IteratorType, typename ValType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">IteratorType <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, ValType &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#aecdc604f73f00133d4f934a94913b468">mBegin</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00054">54</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

<p>Referenced by <a class="el" href="OgreIteratorWrapper_8h_source.html#l00112">Ogre::IteratorWrapper&lt; T, IteratorType, T::mapped_type &gt;::begin()</a>.</p>

</div>
</div>
<a class="anchor" id="ab46be8c170cbc9046a81784b463534b9"></a><!-- doxytag: member="Ogre::IteratorWrapper::mCurrent" ref="ab46be8c170cbc9046a81784b463534b9" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename IteratorType, typename ValType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">IteratorType <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, ValType &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#ab46be8c170cbc9046a81784b463534b9">mCurrent</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00055">55</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

<p>Referenced by <a class="el" href="OgreIteratorWrapper_8h_source.html#l00116">Ogre::IteratorWrapper&lt; T, IteratorType, T::mapped_type &gt;::current()</a>, <a class="el" href="OgreIteratorWrapper_8h_source.html#l00099">Ogre::IteratorWrapper&lt; T, IteratorType, T::mapped_type &gt;::hasMoreElements()</a>, and <a class="el" href="OgreIteratorWrapper_8h_source.html#l00106">Ogre::IteratorWrapper&lt; T, IteratorType, T::mapped_type &gt;::moveNext()</a>.</p>

</div>
</div>
<a class="anchor" id="ad6beeb6fcd8840f4fcb30b3363c3552d"></a><!-- doxytag: member="Ogre::IteratorWrapper::mEnd" ref="ad6beeb6fcd8840f4fcb30b3363c3552d" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T, typename IteratorType, typename ValType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">IteratorType <a class="el" href="classOgre_1_1IteratorWrapper.html">Ogre::IteratorWrapper</a>&lt; T, IteratorType, ValType &gt;::<a class="el" href="classOgre_1_1IteratorWrapper.html#ad6beeb6fcd8840f4fcb30b3363c3552d">mEnd</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreIteratorWrapper_8h_source.html#l00056">56</a> of file <a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a>.</p>

<p>Referenced by <a class="el" href="OgreIteratorWrapper_8h_source.html#l00119">Ogre::IteratorWrapper&lt; T, IteratorType, T::mapped_type &gt;::end()</a>, and <a class="el" href="OgreIteratorWrapper_8h_source.html#l00099">Ogre::IteratorWrapper&lt; T, IteratorType, T::mapped_type &gt;::hasMoreElements()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreIteratorWrapper_8h_source.html">OgreIteratorWrapper.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:58
</p>
</body>
</html>
